#
# spec file for package PyGreSQL (Version 3.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions popt postgresql postgresql-devel postgresql-libs procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           PyGreSQL
BuildRequires:  openssl-devel postgresql postgresql-devel python-devel
URL:            http://www.pygresql.org
Summary:        Python Client Library for PostgreSQL
Version:        3.7
Release:        14.2
License:        BSD, Other License(s), see package
Group:          Productivity/Databases/Clients
Source0:        %{name}-%{version}.tar.bz2
Patch0:         PyGreSQL.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       postgresql-python pg_pyth
Obsoletes:      postgresql-python pg_pyth
Requires:       python >= %py_ver, python < %py_ver.99

%description
PyGreSQL is a Python module that interfaces to a PostgreSQL database.
It embeds the PostgreSQL query library to allow easy use of PostgreSQL
features from a Python script.



Authors:
--------
    D'Arcy J.M. Cain <darcy@druid.net>
    Pascal Andre <andre@via.ecp.fr>

%debug_package
%prep
%setup -q
%patch0

%build
SETUP_PY_INCLUDE_DIRS=/usr/include/pgsql:/usr/include/pgsql/server \
SETUP_PY_LIBRARY_DIRS=%_libdir \
./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
./setup.py install --prefix=%{_prefix} --root=%buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Announce ChangeLog tutorial
%_libdir/python%py_ver/site-packages/*

%changelog -n PyGreSQL
* Sat Mar 04 2006 - kukuk@suse.de
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 05 2006 - max@suse.de
- New version: 3.7
* Mon Jul 04 2005 - tarnold@suse.de
- Neew vrsion: 3.6.2
* Thu Jan 27 2005 - max@suse.de
- New version: 3.6.1
* Fri Mar 19 2004 - max@suse.de
- Add a dependency to python (bug #36499).
* Fri Mar 05 2004 - max@suse.de
- Package postgresql-python separated from the PostgreSQL source
  RPM and renamed to PyGreSQL to reflect the fact, that it is a
  separete project now.
- Version: 3.4
